# DocumentCameraLiveDetector class

Inheritance
  - Object
  - LiveDetector
  - DocumentCameraLiveDetector

## Constructors

DocumentCameraLiveDetector({required dynamic snapListener(Page result), required dynamic documentContourListener(DocumentContourScanningResult result), required dynamic errorListener(SdkLicenseException exception)})

## Properties

arguments ↔ Map<String, dynamic>
  read / write inherited
detectorChannel ↔ MethodChannel
  read / write inherited
detectorType ↔ DetectorType
  read / write override-getter
documentContourListener ↔ dynamic Function(DocumentContourScanningResult result)
  The callback that will be called each time some contour is detected. Or when the status of detection quality is changed
  read / write
enabled ↔ bool
  read / write inherited
errorListener ↔ dynamic Function(SdkLicenseException exception)
  The callback that will be called when there are problems with a license.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
snapListener ↔ dynamic Function(Page result)
  The callback that will be called each time the page snap is taken.
  read / write

## Methods

attach(ScanbotCameraController controller) → dynamic
  inherited
makeSnap() → Future<void>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
pauseDetection() → dynamic
  inherited
registerResultHandler() → void
  override
resumeDetection() → dynamic
  inherited
setAutoSnappingEnabled(bool enabled) → Future
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited